# Change Log
All notable changes to this project will be documented in this file.
`Localize` adheres to [Semantic Versioning](http://semver.org/).

## [2.0.0](https://github.com/kekiiwaa/Localize/releases/tag/2.0.0)
Released on 2018-04-12.

#### Added
- Transfer ownership to [andresilvagomez](https://github.com/andresilvagomez/Localize)
- Swift 4.1 Support.
- Faster.
- Localize.currentLanguage.
- Localize.availableLanguages.
- Segment controls localize key using "," and base.
- UIView components tested.
  - By [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#22](https://github.com/Kekiiwaa/Localize/pull/22).

---

## [1.5.2](https://github.com/kekiiwaa/Localize/releases/tag/1.5.2)
Released on 2017-09-27.

#### Added
- Swift 4.
  - By [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#18](https://github.com/Kekiiwaa/Localize/pull/18).

---

## [1.5.1](https://github.com/kekiiwaa/Localize/releases/tag/1.5.1)
Released on 2017-08-10.

#### Added
- Fix with country code.
  - By [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#17](https://github.com/Kekiiwaa/Localize/pull/17).

---

## [1.5.0](https://github.com/kekiiwaa/Localize/releases/tag/1.5.0)
Released on 2017-08-08.

#### Added
- Localize UI elements with @IBInspectable.
  - By [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#14](https://github.com/Kekiiwaa/Localize/pull/14).

#### Deleted
  - Delete custom classes for UI elements in favor to @IBInspectable extensions.
    - By [Andres Silva](https://github.com/andresilvagomez) in Pull Request
    [#14](https://github.com/Kekiiwaa/Localize/pull/14).

---

## [1.4.0](https://github.com/kekiiwaa/Localize/releases/tag/1.4.0)
Released on 2017-07-10.

#### Added
- Dynamic bundle.
- Update bundle.
  - Added by [Benjamin Erhart](https://github.com/tladesignz) in Pull Request
  [#13](https://github.com/Kekiiwaa/Localize/pull/13).

#### Updated
- Remove enums for language.
- Fixed #localize with placeholder replacement.
  - Added by [Benjamin Erhart](https://github.com/tladesignz) in Pull Request
  [#13](https://github.com/kekiiwaa/Localize/pull/13).

---

## [1.3.0](https://github.com/kekiiwaa/Localize/releases/tag/1.3.0)
Released on 2017-02-14.

#### Added
- Support to Apple Strings.
- Get your localized string using different table names.
- JSON Provider and Strings Provider.
- Testing mode.
- 100% documented using jazzy.
  - Added by [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#8](https://github.com/kekiiwaa/Localize/pull/4).

#### Updated
- Not use vars to config.
- Delete cache json file.
  - Added by [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#8](https://github.com/kekiiwaa/Localize/pull/4).

---

## [1.2.0](https://github.com/kekiiwaa/Localize/releases/tag/1.2.0)
Released on 2017-01-19.

#### Added
- Renamed JsonLocalized to Localize, according with the next features.
- Static methods.
- Config methods.
- Testing mode.
- Testing for more methods and cases.
  - Added by [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#4](https://github.com/kekiiwaa/Localize/pull/4).

#### Updated
- Config methods.
- Statics calleds.
  - Added by [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#4](https://github.com/kekiiwaa/Localize/pull/4).

#### Fixed
- Getting default language key when in current language key no was available.
  - Added by [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#4](https://github.com/kekiiwaa/Localize/pull/4).

---

## [1.1](https://github.com/kekiiwaa/Localize/releases/tag/1.1)
Released on 2017-01-17.

#### Added
- Documentation for all methods.
- Method to detect all available languages.
- Method to localize languages codes.
- Method to update language with string language code.
- Notification when user change a language.
- Update all localized components when user change language.
  - Added by [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#2](https://github.com/kekiiwaa/Localize/pull/2).

#### Updated
- Updated Example.
  - Added by [Andres Silva](https://github.com/andresilvagomez) in Pull Request
  [#2](https://github.com/kekiiwaa/Localize/pull/2).
